.page-wrapper .page-body-wrapper .page-title .breadcrumb li { font-family: "Prompt", Roboto, sans-serif !important; }
.page-wrapper .page-header .header-wrapper .nav-right .onhover-show-div li a { font-family: "Prompt", Roboto, sans-serif !important; }
.tam-profile img { max-width: 38px; }
h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 { line-height: 1 !important; }
.tam-sub-badge { position: relative !important; }
.tam-sub-badge .badge { top: 8px !important; right: unset !important; left: 15px !important; }
.form-select { font-size: 0.85rem !important; }
.ql-container { font-family: "Prompt", Helvetica, Arial, sans-serif !important; }
.description-filling { font-size: 0.65rem !important; color: #6b6b6b; }
.dt-layout-cell.dt-start { display: inline-block; width: 50%; }
.dt-layout-cell.dt-end { display: inline-block; width: 50%; text-align: end; }
.dt-paging.paging_full_numbers button { border: unset; padding: 2px 10px; font-size: 14px; color: #2f2f3b; margin-right: 9px; border-radius: 4px; }
.dt-paging-button.current { background-color: #7366ff; color: #fff !important; }
.table { --bs-table-bg: unset !important; }
table.dataTable input, table.dataTable select { height: 1.5rem; }
.form-check-input { width: 1.5rem; }
[class="dark-only"] .description-filling { background: #2f2f3b; padding: 0.25rem; color: #bdbdbd; }
[class="light"] .description-filling { background: aliceblue; padding: 0.25rem; }
table.dataTable input.dt-select-checkbox { height: 1.25rem !important; width: 1.25rem !important; }
table.dataTable input.dt-select-checkbox:checked:after { margin-top: -3px !important; margin-left: 2px !important; }
table.dataTable tbody tr.selected > * { box-shadow: inset 0 0 0 9999px rgba(177, 208, 255, 0.9) !important; color: #2f2f3b !important; }
table.dataTable tbody > :nth-child(even) { background-color: #f5f6f996 !important; }
thead, tbody, tfoot, tr, td, th { border-color: #868686; border: #bdbdbd 1px dashed; }
thead { border: #bdbdbd 1px dashed !important; }
table.dataTable input.dt-select-checkbox:checked:after { display: block; content: unset !important; margin-top: -8px; }
table.dataTable input.dt-select-checkbox:checked[type="checkbox"] { --bs-form-check-bg-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e"); }
table.dataTable input.dt-select-checkbox { appearance: revert !important; }
.recent-table table tr td:first-child, .recent-table table tr th:first-child { min-width: 30px !important; cursor: pointer; }
.all-product-page .dt-layout-row { padding: 1.5rem 0.5rem 0rem 0.5rem; }
table.dataTable input.dt-select-checkbox:indeterminate:after { content: unset !important; }
.dataTable thead tr th { text-align: center !important; }
.dataTable tbody tr td { padding-bottom: 0.5rem !important; }
.pswp__bg { backdrop-filter: blur(3px) !important; background-color: rgba(255, 255, 255, 0.5) !important; }
.dt-select { text-align: center !important; }
.needs-validation .invalid-feedback { color: var(--bs-form-invalid-color); }
.add-product-page h6 { line-height: 1.75rem !important; }
.check-data { font-size: 0.75rem; }
[class="dark-only"] .check-data { background: #2f2f3b; padding: 0.25rem; color: #bdbdbd; }
[class="light"] .check-data { background: aliceblue; padding: 0.25rem; }
.statusLastSave { background-color: #fff7df; font-style: italic; }
.kanban-container .kanban-board { width: 100% !important; }
.kanban-item { max-width: 140px; display: inline-block; }
.button-light-warning { background-color: rgba(255, 184, 41, 0.1) !important; }
.button-light-danger { background-color: rgba(252, 86, 74, 0.1) !important; }
.ele-btn-edit-img .btn { padding: 5px !important; }
.add-product-page .kanban-item { padding: 5px !important; }
.add-product-page .kanban-board .kanban-drag { padding: 0px; }
.add-product-page .form-check-input { width: 1.5rem !important; height: 1.5rem !important; }
.add-product-page .form-check-label { padding-top: 5px; padding-left: 7px; color: #2f2f3b !important; }
.add-product-page .kanban-title-board { font-weight: 500 !important; }
.file-label { display: inline-block; padding: 8px 16px; background-color: #303030; color: #fff; font-size: 1.5rem; border-radius: 5px; cursor: pointer; }
.add-product-page .form-label { font-weight: 500 !important; }
.add-product-page .dropdown-menu .dropdown-item { color: #000 !important; opacity: 1 !important; }
.bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn) { width: 100% !important; }
.add-product-page .kanban-board .kanban-drag { min-height: 100px !important; }
.btn-pading { padding: 0.2rem 0.5rem !important; }
.add-product-page .card-body { padding: 10px !important; }
.add-product-page .product-buttons svg { position: relative; top: 5px; }
.option.checkbox { border-style: dashed; padding: 0px 20px; padding-bottom: 5px; border-color: #7fc721; border-width: 2px; border-radius: 10px; }
.form-control.fix { width: unset !important; }
.bg-ele-eve { background: #f5f5f5; }
.add-product-page .form-check-input:checked + .form-check-label { background-color: beige; }
.product-names .light-product-box img { height: 40px !important; }
.add-product-page .dropdown-menu.show { z-index: 2; }
.add-product-page .ele-option-price-range table.dataTable input { width: 8rem !important; }
.tableBtnFixed { display: flex; position: fixed; bottom: 10px; z-index: 9; }
.tableBtnFixed button { background-color: #f5f5f5; }
#category-pill-modal .dropdown-menu .dropdown-item { color: #000 !important; opacity: 1 !important; }
.cursor-pointer { cursor: pointer; }
.edit-barcode, .edit-stock, .edit-price { display: inline-block; cursor: pointer; }
#select-all { z-index: 99; position: revert; }
.all-product-page .btn-group .btn { padding: 0.375rem 0.75rem; }
.all-product-page .border-tab.nav-tabs .nav-item .nav-link { padding: 5px 10px !important; }
.all-product-page label { margin-bottom: 0rem !important; }
.all-product-page .nav-link.active { color: #ff3364 !important; background-color: #fff4f7 !important; }
.button-light-primary { background-color: rgba(115, 102, 255, 0.1) !important; }
.add-product-page .btn { margin: 0.15rem !important; }
.add-product-page .kanban-board header { font-size: 0.85rem; font-weight: 400 !important; padding: 5px; }
.add-product-page .kanban-title-board { font-size: 0.85rem; font-weight: 400 !important; }
.button-light-success { background-color: #dcf1da !important; }
.btn-add-cart { cursor: pointer !important; color: #575757; }
.text-right { text-align: right !important; }
.fs09rem { font-size: 0.9rem !important; }
.fs08rem { font-size: 0.8rem !important; }
.fs07rem { font-size: 0.7rem !important; }
.fs06rem { font-size: 0.6rem !important; }
.fs1rem { font-size: 1rem !important; }
.fs1_1rem { font-size: 1.1rem !important; }
.fs1_2rem { font-size: 1.2rem !important; }
.cursor-pointer { cursor: pointer; }
.form-buttons-save { margin: 15px 0 0 0; text-align: end; border-top: 1px solid var(--recent-dashed-border); padding: 12px 0 0 0; position: absolute; bottom: 0; width: calc(100% - 48px); left: 50%; transform: translateX(-50%); }
.btn-ssm { padding: 0.25rem 0.35rem !important; font-size: 0.75rem !important; line-height: 1 !important; border-radius: 0.2rem !important; }
.page-title { margin: 0 -27px 0px !important; }
.card-liquidglass { background-color: #f8f9fa65; border-radius: 10px; padding: 5px; margin: 5px 0; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); }
.btn-liquidglass { cursor: pointer; color: #fff; background-color: #f8f9fa65; border-radius: 10px; padding: 5px; margin: 5px 0; box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); }
.hovercard .cardheader { height: 200px !important; }
.badge { font-family: "Prompt", Helvetica, Arial, sans-serif !important; }
.bg-main { background-color: #7cd6c9; }
.btn-edit { margin-left: 5px; padding: 0.25rem 0rem 0rem 0.35rem !important; font-size: 0.75rem !important; border-radius: 2rem !important; }
:root, [data-bs-theme="light"] { --bs-info-rgb: #004997 !important; }
.form-control-150-width { width: 100px !important; }
.table th { text-align: center; vertical-align: middle; }
.tech-radio-card { display: block; padding: 10px; border: 2px solid #ddd; border-radius: 8px; cursor: pointer; text-align: center; transition: all 0.2s ease-in-out; box-shadow: 0px 3px 4px 3px rgba(83, 83, 83, 0.1); }
.tech-radio-card:hover { border-color: #3085d6; background: #f8faff; }
.tech-radio input:checked + .tech-radio-card { border-color: #3085d6; background: #e9f3ff; box-shadow: 0px 3px 4px 3px rgba(86, 110, 175, 0.5); }
.tech-radio-card .title { font-weight: bold; font-size: 14px; }
.tech-radio-card .example { color: #666; font-weight: normal; }
.tech-radio-card .desc { font-size: 11px; margin-top: 3px; }
/* Light mode */
[class="light"] .tech-radio-card { background: #fff; border: 2px solid #ddd; color: #333; }
[class="light"] .tech-radio-card:hover { border-color: #3085d6; background: #f8faff; }
[class="light"] .tech-radio input:checked + .tech-radio-card { border-color: #3085d6; background: #e9f3ff; box-shadow: 0px 3px 4px 3px rgba(86, 110, 175, 0.5); }
/* Dark mode */
[class="dark-only"] .tech-radio-card { background: #2f2f3b; border: 2px solid #444; color: #bdbdbd; }
[class="dark-only"] .tech-radio-card:hover { border-color: #5da0f0; background: #3a3a4a; }
[class="dark-only"] .tech-radio input:checked + .tech-radio-card { border-color: #5da0f0; background: #263349; box-shadow: 0px 3px 4px 3px rgba(0, 80, 200, 0.5); }
:root { --bs-border-color: #7f8183 !important; }
/* สำหรับทุก input และ textarea */
input::placeholder, textarea::placeholder { color: #b5bec5; opacity: 0.7 !important; font-style: italic; }
